/*
Copyright (c) 2009, Dan "Ducky" Little & GeoMOOSE.org

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
*/

/* our globals */
var Map = false;
var PointOfInterest = false;
var IntervalID = false;


/* This is run to test the map to see if it's loaded
  then inialize the map*/

function init_map() {
	if(Map && Map.IsBirdseyeAvailable()){
		/* no longer need the interval */
		clearInterval(IntervalID);
		/* make sure VE knows we REALLY want the birdseye view */
		Map.SetMapStyle(VEMapStyle.Birdseye);

		/* Add a push pin to mark the selected location */
		var pin = new VEShape(VEShapeType.Pushpin, PointOfInterest);
		pin.SetTitle('Selected Location');
		Map.AddShape(pin);
	}
}

function init() {
	/* get the page parameters */
	var params = OpenLayers.Util.getParameters();
	/* get the coordinates */
	var coords = new String(params.xy).split(',');
	/* turn those into our point of interest, need to reverse x,y into lat,long*/
	PointOfInterest = new VELatLong(parseFloat(coords[1]), parseFloat(coords[0]));

	/* create the map in the 'map' div */
	Map = new VEMap('map');

	/* load the map */
	Map.LoadMap(PointOfInterest, 15, 'o', false, VEMapMode.Mode2D, false);

	/* wait for the map to be ready to do the rest */
	IntervalID = setInterval("init_map()", 250);
}
